import http from '@/services/http'

/**
 * 查询会员报表
 */
export function queryMemberReport(params: Ermcp.MemberReportReq) {
    return http.commonRequest<Ermcp.MemberReportRsp[]>({
        url: '/Guangzuan/QueryMemberReport',
        params,
    })
}

/**
 * 查询仓储报表
 */
export function queryWRPositionReport(params: Ermcp.WRPositionReportReq) {
    return http.commonRequest<Ermcp.WRPositionReportRsp[]>({
        url: '/Guangzuan/QueryWRPositionReport',
        params,
    })
}

/**
 * 查询交易报表
 */
export function queryTradeReport(params: Ermcp.TradeReportReq) {
    return http.commonRequest<Ermcp.TradeReportRsp[]>({
        url: '/Guangzuan/QueryTradeReport',
        params,
    })
}